Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Layer erstellen Macro

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Layer erstellen Macro (556 mal gelesen)
Tschimotao
Mitglied


Sehen Sie sich das Profil von Tschimotao an!   Senden Sie eine Private Message an Tschimotao  Schreiben Sie einen Gästebucheintrag für Tschimotao

Beiträge: 3
Registriert: 22.11.2017

erstellt am: 22. Nov. 2017 15:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Forum,

hier mein erster eigener Beitrag im Forum. Bisher konnte ich immer Hilfe in den bestehenden Beiträgen finden. Leider bin ich bei diesem Thema nicht fündig geworden.

Ich möchte über ein macro einen neuen Layer erstellen. Die Situation ist folgende:
ich öffne eine bestehende Zeichnung welche die bisherigen Layer beinhaltet. Nun brauche ich aber noch einen zusätzlichen layer in rot. Bei fünf Zeichungen hätte ich den halt immer erstellt, nur betrifft das alle bestehenden Zeichnungen und da wäre ein Knopfdruck recht angenehm.
Über Macro aufzeichnen will das nicht funktionieren. SW schreibt es einfach nicht.
Gibt es hier eine Möglichkeit?

Schonmal vielen Dank und viele Grüße

Timo 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

HenryV
Mitglied
Konstrukteur, Engineering


Sehen Sie sich das Profil von HenryV an!   Senden Sie eine Private Message an HenryV  Schreiben Sie einen Gästebucheintrag für HenryV

Beiträge: 607
Registriert: 18.05.2005

SolidWorks 2016 x64 SP3.0
Dell T3600 Workstation
Intel XENON 6x3.2 GHz
NVIDIA Quadro 4000 2 GB
16GB RAM
2x Dell U2412M, 24" TFT
Windows 7 Professional x64 SP1
Microsoft Office Pro 2010 SP2
Kaspersky Anti-Virus 10.2.4.674
Microsoft VB 2010 Express
SpacePilot von 3Dconnexion

erstellt am: 22. Nov. 2017 17:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Tschimotao 10 Unities + Antwort hilfreich

Quick and Dirty

Code:
Sub main()

    Dim swApp As SldWorks.SldWorks
    Dim swDraw As SldWorks.DrawingDoc
    Dim bRet As Boolean
    Set swApp = Application.SldWorks
    Set swDraw = swApp.ActiveDoc
   
    bRet = swDraw.CreateLayer2("LayerRot", "Layer in Rot", RGB(256, 0, 0), swLineCONTINUOUS, swLW_NORMAL, True, True)

End Sub


------------------
21 ist nur die halbe Antwort.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Tschimotao
Mitglied


Sehen Sie sich das Profil von Tschimotao an!   Senden Sie eine Private Message an Tschimotao  Schreiben Sie einen Gästebucheintrag für Tschimotao

Beiträge: 3
Registriert: 22.11.2017

erstellt am: 22. Nov. 2017 18:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo HenryV,

vielen Dank schonmal. Ich probier es morgen gleich mal aus. Ich geb dann Meldung

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Tschimotao
Mitglied


Sehen Sie sich das Profil von Tschimotao an!   Senden Sie eine Private Message an Tschimotao  Schreiben Sie einen Gästebucheintrag für Tschimotao

Beiträge: 3
Registriert: 22.11.2017

erstellt am: 23. Nov. 2017 07:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo HenryV,

es funktioniert.... (ok das wusstest du wahrscheinlich :-)

Vielen Dank

Timo

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

SannSpeed
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von SannSpeed an!   Senden Sie eine Private Message an SannSpeed  Schreiben Sie einen Gästebucheintrag für SannSpeed

Beiträge: 82
Registriert: 03.09.2008

SolidWorks 2016 x64 Edition SP03<P>HP Z620 Workstation
Intel Xeon E5-2620
16Gb RAM
NVIDIA Quadro K4000<P>Windows 7<P>SAP

erstellt am: 23. Nov. 2017 07:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Tschimotao 10 Unities + Antwort hilfreich

Hey,  das ist ja perfekt.
Genau das haben wir gesucht.

Wie kommt man da drauf?

Gruß Phil

------------------
Gruß,

Euer Phil

Ihr Jungen, hört auf einen Alten, auf den die Alten hörten als er noch jung war!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

StefanBerlitz
Guter-Geist-Moderator
IT Admin (CAx)



Sehen Sie sich das Profil von StefanBerlitz an!   Senden Sie eine Private Message an StefanBerlitz  Schreiben Sie einen Gästebucheintrag für StefanBerlitz

Beiträge: 8702
Registriert: 02.03.2000

SunZu sagt:
Analysiere die Vorteile, die
du aus meinem Ratschlag ziehst.
Dann gliedere deine Kräfte
entsprechend und mache dir
außergewöhnliche Taktiken zunutze.

erstellt am: 23. Nov. 2017 08:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Tschimotao 10 Unities + Antwort hilfreich


31028_layer-hinzufuegen.mp4

 
Hallo zusammen,

nur für den Fall das so etwas ähnliches für viele Layer benötigt wird gibt es auch eine schnuckelige Lösung ganz ohne Makros nur mit SolidWorks Bordmitteln: vorbereitete Layersätze als Blattformat speichern 

Das geht ungefähr wie folgt:


  • beliebige Zeichnung aufrufen (kann ruhig leer sein)
  • Layersatz so vorbereiten, wie man den haben möchte
  • dieses Blatt als Blattformat abspeichern, dabei werden u.a. auch die definierten Layer mit darin gespeichert
  • Zielzeichnung aufrufen, wo die Layer eingebracht werden sollen
  • Neues Blatt - gespeichertes Layerblattformat nutzen. Dadurch kommen alle Layer in die Zeichnung rein
  • gerade eingefügtes Blatt wieder löschen

Eh voila, alle benötigten Layer drin, wenn man erst mal das Blattformat hat ist es mit 5 Klicks erledigt und man braucht sich nicht unbedingt mit Makros auskennen 

Ich habe ein Video angehangen, wie das funktioniert.

Ciao,
Stefan

------------------
Inoffizielle deutsche SolidWorks Hilfeseite    http://solidworks.cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de